Package twisted :: Package names :: Module secondary :: Class SecondaryAuthorityService

[frames | no frames]

## Class SecondaryAuthorityService

    Service --+
              |
             SecondaryAuthorityService

Method Summary
| ``__init__`(self, primary, domains)`
| `getAuthority(self)`
| `startService(self)`
| `stopService(self)`
Inherited from Service
| ``__getstate__`(self)`
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`NoneType` | `calls` = None
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Method Details

### __init__(self, primary, domains)
(Constructor)

  Parameters:
    `primary` - The IP address of the server from which to perform zone transfers.
    `domains` - A sequence of domain names for which to perform zone transfers.

Class Variable Details

### calls

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:35 2004 | http://epydoc.sf.net